#!/bin/bash

XUSER=spot
sudo killall -9 wireplumber pipewire pipewire-pulse

sudo rm -f /home/${XUSER}/.config/pulse/cookie
dbus-launch --exit-with-x11 > /tmp/.R_${XUSER}-session-bus
	export XDG_RUNTIME_DIR=/tmp/runtime-R_${XUSER}
	if [ ! -d ${XDG_RUNTIME_DIR} ] ; then
	mkdir -p ${XDG_RUNTIME_DIR}
	chmod 0700 ${XDG_RUNTIME_DIR}
	chown ${XUSER} ${XDG_RUNTIME_DIR}
	fi

		. /tmp/.R_${XUSER}-session-bus
		export DBUS_SESSION_BUS_ADDRESS
		export DBUS_SESSION_BUS_PID
if [ -e /usr/bin/wireplumber ] || [ -e /usr/bin/pipewire-media-session ]; then
    sudo rm -f /tmp/runtime-R_${XUSER}/pipewire-0 /tmp/runtime-R_${XUSER}/pipewire-0.lock /run/pipewire/pipewire-0
    sudo mkdir -p /run/pipewire
    sudo ln -s /tmp/runtime-R_${XUSER}/pipewire-0 /run/pipewire/pipewire-0
    pipewire &
    (
        while [ ! -e /tmp/runtime-R_${XUSER}/pipewire-0 ]; do sleep 0.1; done
	
        pipewire-pulse &
	
	if [ -e /usr/bin/wireplumber ]; then
         wireplumber &
	else
	 pipewire-media-session &
	fi
    
    ) &
    export PULSE_SERVER=unix:/tmp/runtime-R_${XUSER}/pulse/native
    export PULSE_COOKIE=/home/${XUSER}/.config/pulse/cookie
fi